Summary: Netselect
Name: netselect
Version: 0.3
Release: 0.fdr.2
License: GPL
Group: Applications/System
URL: http://www.worldvisions.ca/~apenwarr/netselect/
Source: http://www.worldvisions.ca/~apenwarr/netselect/netselect-0.3.tar.gz
Source1: netselect-yum
Source2: netselect.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is netselect, an ultrafast intelligent parallelizing binary-search 
implementation of "ping."

%package yum
Summary: Netselect for yum
Requires: %{name}, wget, yum >= 2.1.11
Group: Applications/System

%description yum
This is a shell script using netselect to determine the best mirror server
for each repository defined in /etc/yum.repos.d/.
This can only work with repositories using the "mirrorlist" directive.

%prep
%setup -q -n %{name}

%build
gcc $RPM_OPT_FLAGS -I. -g netselect.c -o %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -D -s -m 755 netselect $RPM_BUILD_ROOT%{_bindir}/netselect
install -D -s -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/netselect-yum
install -D -s -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1/netselect.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog HISTORY README README.traceroute
%{_bindir}/netselect
%{_mandir}/man1/%{name}*

%files yum
%defattr(-, root, root)
%{_bindir}/netselect-yum

%changelog
* Thu Nov 18 2004 Adrian Reber <adrian@lisas.de> - 0.3-0.fdr.2
- included netselect-yum
- included netselect.1 from debian

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0.3-0.fdr.1
- initial package
